package com.patzn.lims.staff.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.staff.entity.LmsStaffTrainPlan;
import com.patzn.lims.staff.entity.LmsStaffTrainPlanAttachment;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 人员培训计划附件表 服务类
 * </p>
 *
 * @author patzn
 * @since 2018-07-20
 */
public interface ILmsStaffTrainPlanAttachmentService extends IBaseService<LmsStaffTrainPlanAttachment> {


    Page<LmsStaffTrainPlanAttachment> page(Page<LmsStaffTrainPlanAttachment> page, LmsStaffTrainPlanAttachment lmsStaffTrainPlanAttachment);


    List<LmsStaffTrainPlanAttachment> list(LmsStaffTrainPlanAttachment lmsStaffTrainPlanAttachment);


    boolean save(Long customerId, MultipartFile file);


    void download(Long id, HttpServletResponse response);


    LmsStaffTrainPlanAttachment saveAndUpload(MultipartFile file, LmsStaffTrainPlan plan);

    Boolean deleteFile(Long id);
}
